Bug 172973 - CVE-2005-2929 lynx arbitrary command execution
Summary: CVE-2005-2929 lynx arbitrary command execution
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lynx
Version: 4
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brian Brock
URL:
Whiteboard: impact=critical,public=20051111,repor...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-11 18:30 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-01-12 14:33:07 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-11-11 18:30:40 UTC
lynx arbitrary command execution

It is possible for a remote attacker to execute arbitrary commands as
the user running lynx by using specially crafted  lynxcgi: URL.
http://marc.theaimsgroup.com/?l=full-disclosure&m=113172754719215&w=2


This issue also affects FC3

Comment 1 Fedora Update System 2005-11-14 18:05:54 UTC
From User-Agent: XML-RPC

lynx-2.8.5-23.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.